summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorChangyeon Lee <cyeon.lee@samsung.com>2014-04-17 14:39:53 +0900
committerChangyeon Lee <cyeon.lee@samsung.com>2014-04-17 14:46:23 +0900
commit062ccfe1d8b185769f7fba8592a847534ddcd20f (patch)
tree3c835328760e4ff97c51f8299f9e8e1f023a7d41 /autogen.sh
parent58f5b6fa650fec45dc1550c9c8f53d5be6e04891 (diff)
parentbf7133e53f270b44a263e4f364642c2cae384496 (diff)
downloadxconsole-submit/tizen/20140818.084211.tar.gz
xconsole-submit/tizen/20140818.084211.tar.bz2
xconsole-submit/tizen/20140818.084211.zip
Change-Id: Ied4732bb27f4d8a89f7ba0e596231a81bf70ab93 Signed-off-by: Changyeon Lee <cyeon.lee@samsung.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e81f989
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
+